curl --request POST \
--url "${UNSTRUCTURED_API_URL}/api/v1/jobs/b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e/cancel" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import CancelJobRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.jobs.cancel_job(
request=CancelJobRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import CancelJobRequest
async def cancel_job():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.jobs.cancel_job_async(
request=CancelJobRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
asyncio.run(cancel_job())
{}
Job
Cancel job
Cancel the specified job.
POST
/
api
/
v1
/
jobs
/
{job_id}
/
cancel
curl --request POST \
--url "${UNSTRUCTURED_API_URL}/api/v1/jobs/b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e/cancel" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import CancelJobRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.jobs.cancel_job(
request=CancelJobRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import CancelJobRequest
async def cancel_job():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.jobs.cancel_job_async(
request=CancelJobRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
asyncio.run(cancel_job())
{}
Path parameters
string
required
The unique identifier of the job.
curl --request POST \
--url "${UNSTRUCTURED_API_URL}/api/v1/jobs/b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e/cancel" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import CancelJobRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.jobs.cancel_job(
request=CancelJobRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import CancelJobRequest
async def cancel_job():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.jobs.cancel_job_async(
request=CancelJobRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
asyncio.run(cancel_job())
{}
Was this page helpful?
⌘I

